← Tablas

Ireland

Ulster Championship 3

#EquipoPWDLPDPtsForma
1Virginia RFC3300–15WWW
2Grosvenor RFC3300–15WWW
3Monaghan RFC3201–10LWW
4P.S.N.I RFC3201–10WLW
5Donaghadee RFC3201–9WLW
6B.H.S FP RFC3102–6LWL
7Newry RFC3102–5WLL
8Ulster University RFC3102–4LWL
9Cavan RFC3003–1LLL
10Civil Service RFC3003–0LLL

Fuente: Ulster Rugby · consultado 14 oct, 05:50 p.m. · Forma: los últimos cinco resultados que tenemos, el más reciente a la derecha.

Partidos y resultados →

Cada tabla es la publicada por la propia liga, con sus bonus, descuentos y desempates. BP aparece donde la liga lo publica; en el resto ya está incluido en Pts.